Validate Address


This method for validating an address prior to sending a shipment to avoid extra surcharges

Endpoint

Method URI Headers
POST /address/validate default

Request

Field | Required | Type | Description
- | : | :- | attention | No | String | Attention name | No | String | Name street_1 | Yes | String | Street line 1 street_3 | No | String | Street line 3 street_2 | No | String | Street line 2 city | No | String | City state | No | String | State - This field is required for US or Canada addresses please refer to country-codes zip | Yes | String | Postal Zip code country | Yes | String | Country (code) for the list please refer to country-codes telephone | No | String | Telephone

Request Example

{
    "name": "Example Corp",
    "attention": "John Doe",
    "city": "Breinigsville",
    "street_1": "650 Boulder Drive",
    "zip": "18031",
    "state": "FL",
    "country": "US",
    "telephone": "1234567890"
}

Response

Field | Type | Description
- | : | success | Boolean | true or false message | String | Message data | Array | An array container for suggested address objects +name | String | +attention | String | +street_1 | String | +street_3 | String | +street_2 | String | +city | String | +state | String | +zip | String | +country | String | +is_residential | Boolean |

Response Examples

Successful

{
    "success": true,
    "data": {
        "status": "valid",
        "data": [
            {
                "name": "Example Corp",
                "attention": "John Doe",
                "street_1": "111 EXAMPLE",
                "street_2": null,
                "street_3": null,
                "city": "EXAMPLE TOWN",
                "zip": "12312-1234",
                "state": "PA",
                "country": "US",
                "telephone": "1234567890",
                "is_residential": true
            }
        ]
    }
}

Failed

{
    "success": false,
    "message": "Could not validate address due to client data error"
}